## gpt do-0.1.1

=== gpt_do/vendor/chatgpt_wrapper/requirements.txt ===
flask
playwright
readline; platform_system!="Windows"
pyreadline3; platform_system=="Windows"
rich

## gpt 1.1

=== debian/changelog ===
gpt (1.1-9) unstable; urgency=medium

  * build using the default build flags (closes: #1119437)
  * New upstream homepage

 -- Marcelo Jorge Vieira <metal@debian.org>  Tue, 04 Nov 2025 15:56:26 -0300

gpt (1.1-8) unstable; urgency=medium

  * Port to PCRE2 (Closes: #1000126); Thanks Yavor Doganov
  * debian/copyright: Fix superfluous-file-pattern

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 06 Jan 2024 15:48:18 -0300

gpt (1.1-7) unstable; urgency=medium

  * Revert "Fixed no-symbols-control-file"

 -- Marcelo Jorge Vieira <metal@debian.org>  Tue, 05 Jan 2021 22:38:01 -0300

gpt (1.1-6) unstable; urgency=medium

  * Bump debhelper from deprecated 9 to 13
  * d/control: Add "Rules-Requires-Root: no"
  * Bump watch file version to 4
  * d/control: Replace 'portuguese' with 'Portuguese'
  * Set upstream metadata fields
  * Updated copyright format
  * Bump Standards-Version to 4.5.1
  * Fixed no-symbols-control-file
  * Fixed duplicate-long-description

 -- Marcelo Jorge Vieira <metal@debian.org>  Fri, 01 Jan 2021 16:23:29 -0300

gpt (1.1-5) unstable; urgency=medium

  * Update Vcs-* fields: Maintenance moved to Salsa

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 24 Feb 2019 13:22:11 -0300

gpt (1.1-4) unstable; urgency=medium

  * Bump to unstable

 -- Marcelo Jorge Vieira <metal@debian.org>  Tue, 01 Aug 2017 22:43:12 -0300

gpt (1.1-3) experimental; urgency=medium

  * Fixed obsolete-url-in-packaging
  * Use canonical Vcs-fields
  * Fixed synopsis continued in extended description (Closes: #796133)
  * Multi-Arch (Closes: #722774)
  * Fixed space-in-std-shortname-in-dep5-copyright

 -- Marcelo Jorge Vieira <metal@debian.org>  Mon, 31 Jul 2017 01:30:22 -0300

gpt (1.1-2) unstable; urgency=low

  * Fixed FTBFS with GCC-4.7 (Closes: #667191); Thanks Gregor Herrmann
  * Updated Standards-Version to 3.9.3
    + Machine-readable debian/copyright version 1.0

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Fri, 04 May 2012 14:41:36 -0300

gpt (1.1-1) unstable; urgency=low

  * New Upstream release
  * Installing examples
  * Switch to dpkg-source 3.0 (quilt) format

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Fri, 28 May 2010 10:27:13 -0300

gpt (1.0.4-3) unstable; urgency=low

  * Removing trailing spaces in debian/control file
  * Added locales as build depends

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Wed, 14 Apr 2010 13:04:49 -0300

gpt (1.0.4-2) unstable; urgency=high

  * Changing my email for Debian address
  * Updated Standards-Version to 3.8.4 (no changes)
  * Changed VCS fields to my new account in Alioth
  * Removing cdbs references and bumping package to debhelper 7
  * Fixed FTBFS (Closes: #555498); Setting pt_BR locale during build.
    Thanks Thadeu Lima de Souza Cascardo
  * Rewriting copyright in machine-interpretable format

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Tue, 13 Apr 2010 23:53:22 -0300

gpt (1.0.4-1) unstable; urgency=low

  * New Upstream Version
    - Fixed reopened FTBFS (Closes: #505423)

 -- Marcelo Jorge Vieira (metal) <metal@alucinados.com>  Tue, 13 Jan 2009 17:06:17 -0200

gpt (1.0.3-2) unstable; urgency=high

  * Fixed FTBFS if pccts is installed (Closes: 508832)
    - Thanks Simon McVittie <smcv@debian.org>

 -- Marcelo Jorge Vieira (metal) <metal@alucinados.com>  Wed, 17 Dec 2008 14:16:30 -0200

gpt (1.0.3-1) unstable; urgency=low

  * New Upstream Version
    - Fixed FTBFS (Closes: #505423)
  * Added ${misc:Depends} in libgportugol0 and libgportugol-dev
    binary packages as dependency
  * Changed Vcs field in debian/control to debian package Vcs
    in my account at git.debian.org

 -- Marcelo Jorge Vieira (metal) <metal@alucinados.com>  Thu, 11 Dec 2008 17:52:12 -0200

gpt (1.0.2-1) unstable; urgency=high

  * New upstream version
  * Updated Standards-Version to 3.8.0
  * Fixed FTBFS (Closes: #486968)

 -- Marcelo Jorge Vieira (metal) <metal@alucinados.com>  Sat, 24 Jun 2008 13:54:28 -0300

gpt (1.0.1.svn20080324-1) unstable; urgency=low

  * Initial release (Closes: #470169)

 -- Marcelo Jorge Vieira (metal) <metal@alucinados.com>  Thu, 13 Mar 2008 01:27:31 -0300

=== debian/control ===
Source: gpt
Section: devel
Priority: optional
Maintainer: Marcelo Jorge Vieira <metal@debian.org>
Build-Depends: debhelper-compat (= 13), antlr, libantlr-dev, libpcre2-dev, locales
Standards-Version: 4.5.1
Homepage: https://github.com/gportugol/gpt/wiki
Vcs-Git: https://salsa.debian.org/debian/gpt.git
Vcs-Browser: https://salsa.debian.org/debian/gpt
Rules-Requires-Root: no

Package: gpt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nasm
Description: G-Portugol is a Portuguese structured programming language
 G-Portugol is a Portuguese structured programming language, based on the
 popular, freeform, pseudocode known as portugol. The compiler features
 native compilation, translation to C code, and interpretation of algorithms.

Package: libgportugol-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libgportugol0 (= ${binary:Version}), antlr, libantlr-dev, libpcre2-dev
Description: Development files for the G-Portugol library
 G-Portugol is a Portuguese structured programming language, based on the
 popular, freeform, pseudocode known as portugol. The compiler features
 native compilation, translation to C code, and interpretation of algorithms.
 This package includes the development support files for building applications.

Package: libgportugol0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: G-Portugol library
 G-Portugol is a Portuguese structured programming language, based on the
 popular, freeform, pseudocode known as portugol. The compiler features
 native compilation, translation to C code, and interpretation of algorithms.
 This package includes a version of the shared library.

=== debian/rules ===
#!/usr/bin/make -f

export ANTLR_BIN=/usr/bin/runantlr
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

LOCALE_PATH=`pwd`/debian/tmpdir/usr/lib/$(DEB_HOST_MULTIARCH)/locale
LOCALE_NAME=en_US
LOCALE_CHARSET=UTF-8

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-antlr=/usr/share/antlr \
		--enable-install-devel \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	mkdir -p $(LOCALE_PATH)
	localedef -i $(LOCALE_NAME) -f $(LOCALE_CHARSET) $(LOCALE_PATH)/$(LOCALE_NAME).$(LOCALE_CHARSET)
	LOCPATH=$(LOCALE_PATH) LC_ALL=$(LOCALE_NAME).$(LOCALE_CHARSET) LANG=$(LOCALE_NAME).$(LOCALE_CHARSET) \
	dh_auto_build

override_dh_auto_clean:
	rm -rf debian/tmpdir
	dh_auto_clean

override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gpt-$1\.tar\.gz/ \
  https://github.com/thiago-silva/gpt/tags .*/v?(\d\S+)\.tar\.gz

## gpt 1.2.0

=== debian/changelog ===
gpt (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * All patches have been applied upstream
  * Fix installation paths in debian/gpt.install
  * Remove debian/gpt.examples since upstream now installs them
  * Remove debian/docs since upstream now installs them
  * Update debian/watch to new upstream repository URL
  * debian/copyright: new upstream URL and copyright years

 -- Marcelo Jorge Vieira <metal@debian.org>  Thu, 08 Jan 2026 00:27:14 -0300

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gpt-$1\.tar\.gz/ \
  https://github.com/gportugol/gpt/tags .*/v?(\d\S+)\.tar\.gz
